from django.contrib.contenttypes.models import ContentType

__author__ = 'marcos'

from django.db import models

from rapid import rapidfields

class AltData1(models.Model):
    name = models.CharField(max_length=30)

    def __unicode__(self):
        return 'name: ' + self.name


class AltData2(models.Model):
    upd_date = models.DateField(auto_now=True)

    def __unicode__(self):
        return 'upd_date: ' + self.upd_date


class Test1(models.Model):
    some_text = models.CharField(max_length=30)
    some_int = models.IntegerField()
    some_date = models.DateField()
    some_datetime = models.DateTimeField()
    some_time = models.TimeField()
    alt_data_type = rapidfields.AlternativeDataTables((AltData1, AltData2))
    alt_data_id = models.PositiveIntegerField()
    alt_data = rapidfields.AlternativeData('alt_data_type', 'alt_data_id', verbose_name='test alt data')

class SingleDepOnTest1(models.Model):
    test = models.OneToOneField(Test1)
    some_text = models.CharField(max_length=30)

class MultpleDepOnTest1(models.Model):
    test = models.ForeignKey(Test1)
    some_text = models.CharField(max_length=30)
